Redmine - Feature #27672

Show selected columns in gantt chart
2017-11-29 05:34 - Mizuki ISHIKAWA

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Go MAEDA % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version: 4.1.0
Resolution: Fixed
Description
| would like to select and show the necessary columns like issues/index.

gantt_plan.png
Related issues:
Related to Redmine - Feature #26409: Show assignee on gantt Closed
Related to Redmine - Patch #32019: Remove unnecessary scroll indicator from G... Closed
Related to Redmine - Defect #33082: Links in the last column in gantt are unc... Closed
Related to Redmine - Defect #33724: Selected gantt columns are not displayed ... Closed

Associated revisions

Revision 18171 - 2019-05-16 23:54 - Go MAEDA
Show selected columns in gantt chart (#27672).

Patch by Mizuki ISHIKAWA.

Revision 18172 - 2019-05-17 03:25 - Go MAEDA
Fix broken gantt layout due to r18171 (#27672).
Patch by Mizuki ISHIKAWA.

Revision 18173 - 2019-05-17 03:32 - Go MAEDA
Fix a misspelled CSS property name (#27672).

Revision 18439 - 2019-09-05 13:20 - Go MAEDA

Remove unnecessary vertical scroll bar from gantt (#32019, #27672).

Patch by Antonio McDeal.

History

#1 - 2017-12-20 07:54 - Akipii Oga

+1

#2 - 2018-02-23 08:39 - Mizuki ISHIKAWA

- File 0001-Show-selected-columns-on-gantt.patch added

- File 0002-Add-switch-the-display-for-selected-column.patch added
- File gantt.png added

In the current Gantt chart, you can see information on the issue by using tooltips.
However, | would like to see that information without having to move the cursor.

| tried to write code to realize this feature.

0001-Show-selected-columns-on-gantt.patch increases the number of columns of the Gantt chart based on the column set to Query like the

issues/index.

0002-Add-switch-the-display-for-selected-column.patch adds the ability to turn column display on or off (default is off).

gantt.png
#3 - 2018-02-24 00:57 - Mischa The Evil
- Related to Feature #26409: Show assignee on gantt added

#4 - 2018-02-26 09:34 - Go MAEDA
This is a very interesting patch.
But | found that selected columns cannot be saved in a custom query. The behavior is inconsistent with issues list.
#5 - 2018-03-19 09:31 - Mizuki ISHIKAWA
- File 0003-Fix-changeable-items-on-the-queries-form.patch added
Thank you for reviewing, Go MAEDA.
Go MAEDA wrote:
This is a very interesting patch.
But | found that selected columns cannot be saved in a custom query. The behavior is inconsistent with issues list.

| think that the problem can be solved by the attached 0003-Fix-changeable-items-on-the-queries-form.patch.
When saving the custom query from the Gantt chart, it was not possible to change the selected column, so we made it changeable.

#6 - 2018-06-14 04:10 - Xiaofei Zheng

Hello,

Could I know the current status of this new feature?
We want to show assignee and category on gantt chart and also group by this column.

Is this feature in progress?

Best regards,
Xiaofei Zheng

#7 - 2018-11-09 09:22 - Mizuki ISHIKAWA
- File 0001~0003.patch added

| fixed the patch.

e Compatible the latest trunk. ( r17625 )
¢ | put together three patch series into one.

#8 - 2018-11-29 10:55 - Iwan Yudhistira

how to run the patch in windows, thank you before

#9 - 2018-12-03 01:59 - Mizuki ISHIKAWA

lwan Yudbhistira wrote:

how to run the patch in windows, thank you before

You should be able to apply the patch in the following way.

1. Change into your Redmine directory (the one with app, test, and config folders)
2. Download the patch file and place it in the same directory

3. Run patch -p1 < PATCH_NAME.patch

4. Check the messages for any errors.

Some errors might occur because there are changes to the same areas of code. If you are familiar with merging code, you can try to merge the
changes.

Maintenance is difficult, so applying the patch is not recommended.

If patches can not be applied in this way, please ask for help in the forum .

#10 - 2019-03-14 14:36 - Go MAEDA

- Target version set to 4.1.0
#11 - 2019-04-24 06:43 - Mizuki ISHIKAWA
- File 0001~0003-v2.patch added

Compatible the latest trunk. ( r18080 )

#12 - 2019-05-06 06:40 - Go MAEDA
- Assignee set to Mizuki ISHIKAWA
Mizuki ISHIKAWA wrote:

Compatible the latest trunk. (118080 )

Thank you for updating the patch. Unfortunately, the patch cannot be applied to the trunk after r18089. Sorry for bothering you but could you update
the patch again?

#13 - 2019-05-16 02:55 - Mizuki ISHIKAWA
- File 0001~0003-v3.patch added
Go MAEDA wrote:
Mizuki ISHIKAWA wrote:
Compatible the latest trunk. ( r18080 )

Thank you for updating the patch. Unfortunately, the patch cannot be applied to the trunk after r18089. Sorry for bothering you but could you
update the patch again?

| attached the updated patch.

#14 - 2019-05-16 04:08 - Mizuki ISHIKAWA
- File 0001~0003-v4.patch added

| changed to make span.query-columns disabled if draw_selected_columns is not checked.

#15 - 2019-05-16 05:05 - Go MAEDA
- File duplicate-tracker@2x.png added

| think it is better to add :tracker to UNAVAILABLE_COLUMNS constant in lib/redmine/helpers/gantt.rb because also tracker names are shown in the
subject column. What do you think?

UNAVAILABLE_COLUMNS = [:id, :subject, :tracker]
Tracker = Status Priority = Assign
eCookbook
4| Bug #3: Error 281 when updating a recipe Bug New Low Dave L
Bug #7: Issue due today Bug New Normal
: Cannot print recipes Bug New Low
Bug #15: code Bug New Normal
Bug #16: code Bug New Normal
1.0
5 Feature request #2: Add ingredients categories Feature ... Assigned Normal Dave L

#16 - 2019-05-16 06:04 - Mizuki ISHIKAWA
Go MAEDA wrote:

I think it is better to add :tracker to UNAVAILABLE_COLUMNS constant in lib/redmine/helpers/gantt.rb because also tracker names are shown in
the subject column. What do you think?
| think that it is fine.

#17 - 2019-05-16 23:55 - Go MAEDA
- Status changed from New to Closed
- Assignee changed from Mizuki ISHIKAWA to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for the great improvement.

#18 - 2019-05-16 23:56 - Go MAEDA

- Subject changed from Show selected columns on gantt chart to Show selected columns in gantt chart

#19 - 2019-05-17 02:52 - Mizuki ISHIKAWA

- File fix-broken-style.patch added

- File ScreenShot-2019-05-17-9.27.26.png added
- File ScreenShot-2019-05-17-9.28.27.png added

| noticed that there is a place where the layout breaks down due to r18171.
| have attached a patch to fix the layout.

Targets of fix:

ScreenShot-2019-05-17-9.27.26.png
ScreenShot-2019-05-17-9.28.27.png

#20 - 2019-05-17 03:25 - Go MAEDA
Mizuki ISHIKAWA wrote:

| noticed that there is a place where the layout breaks down due to r18171.
| have attached a patch to fix the layout.

| have committed the fix in r18172. Thanks.

#21 - 2019-05-17 03:26 - Mizuki ISHIKAWA
- File fix-broken-style-v2.patch added

#22 - 2019-09-05 06:03 - Mischa The Evil

- Related to Patch #32019: Remove unnecessary scroll indicator from Gantt page added

#23 - 2020-03-03 09:13 - Go MAEDA
- Related to Defect #33082: Links in the last column in gantt are unclickable added

#24 - 2020-07-13 14:17 - Go MAEDA
- Related to Defect #33724: Selected gantt columns are not displayed with MS Edge Legacy added

Files

gantt_plan.png 248 KB 2017-11-29 Mizuki ISHIKAWA
0002-Add-switch-the-display-for-selected-column.patch 7.12 KB 2018-02-23 Mizuki ISHIKAWA
0001-Show-selected-columns-on-gantt.patch 12.1 KB 2018-02-23 Mizuki ISHIKAWA
gantt.png 327 KB 2018-02-23 Mizuki ISHIKAWA
0003-Fix-changeable-items-on-the-queries-form.patch 4.13 KB 2018-03-19 Mizuki ISHIKAWA
0001~0003.patch 18.5 KB 2018-11-09 Mizuki ISHIKAWA
0001~0003-v2.patch 22.1 KB 2019-04-24 Mizuki ISHIKAWA
0001~0003-v3.patch 21.9KB 2019-05-16 Mizuki ISHIKAWA
0001~0003-v4.patch 22.1 KB 2019-05-16 Mizuki ISHIKAWA
duplicate-tracker@2x.png 27.6 KB 2019-05-16 Go MAEDA
fix-broken-style.patch 1.94 KB 2019-05-17 Mizuki ISHIKAWA
ScreenShot-2019-05-17-9.27.26.png 97.8 KB 2019-05-17 Mizuki ISHIKAWA
ScreenShot-2019-05-17-9.28.27.png 124 KB 2019-05-17 Mizuki ISHIKAWA
fix-broken-style-v2.patch 2.15KB 2019-05-17 Mizuki ISHIKAWA
